#!/scratch/project_465000454/devaraju/SW/LUMI-23.03/C/python-climatedt/bin/python
# OBSALL Apps (3 parts: SYNOP, TEMP, AMSU-A observations)

# Import required libraries
import sys
import subprocess

# IN IMPLEMENTATION
# --- Processing ground-based observations (SYNOP)
print('**********************************************************')
print('DestinE Climate Digital Twin - OBSALL Apps')
print('--- Processing ground-based observations (SYNOP)')
print('**********************************************************')
command_synop_run = "cd SYNOP; pwd; ./main_synop.sh; exit 0"
subprocess.run(command_synop_run, shell=True, check=True, executable="/bin/bash") 

# IN DEVELOPMENT
# --- Processing radiosounding observations (TEMP)
#command_radsound_run = "cd RADSOUND; pwd; ./main_radsound.sh; exit 0"
#subprocess.run(command_radsound_run, shell=True, executable="/bin/bash") 

# IN DEVELOPMENT
# Processing satellite observations (AMSU-A)
#command_satellite_run = "cd SATELLITE; pwd; ./main_satellite.sh; exit 0"
#subprocess.run(command_satellite_run, shell=True, executable="/bin/bash") 

sys.exit(0)
